ResourceBase (Apache Tomcat 9.0.111 API Documentation)
Description: declaration: package: org.apache.tomcat.util.descriptor.web, class: ResourceBase

# Class ResourceBase

java.lang.Object
org.apache.tomcat.util.descriptor.web.ResourceBase

All Implemented Interfaces:
  `Serializable, Injectable`

Direct Known Subclasses:
  `ContextEjb, ContextEnvironment, ContextHandler, ContextLocalEjb, ContextResource, ContextResourceEnvRef, ContextResourceLink, ContextService, MessageDestination, MessageDestinationRef`

public class ResourceBase extends Object implements Serializable, Injectable
Representation of a Context element.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceBase()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addInjectionTarget(String injectionTargetName, String jndiName)`
  `boolean`
  `equals(Object obj)`
  `String`
  `getDescription()`
  `List<InjectionTarget>`
  `getInjectionTargets()`
  `String`
  `getLookupName()`
  `String`
  `getName()`
  `NamingResources`
  `getNamingResources()`
  `Object`
  `getProperty(String name)`
  `String`
  `getType()`
  `int`
  `hashCode()`
  `Iterator<String>`
  `listProperties()`
  List properties.
  `void`
  `removeProperty(String name)`
  Remove a configured property.
  `void`
  `setDescription(String description)`
  `void`
  `setLookupName(String lookupName)`
  `void`
  `setName(String name)`
  `void`
  `setNamingResources(NamingResources resources)`
  `void`
  `setProperty(String name, Object value)`
  Set a configured property.
  `void`
  `setType(String type)`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResourceBase

    public ResourceBase()

- ## Method Details

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `Injectable`

  - ### setName

    public void setName(String name)

  - ### getType

    public String getType()

  - ### setType

    public void setType(String type)

  - ### getLookupName

    public String getLookupName()

  - ### setLookupName

    public void setLookupName(String lookupName)

  - ### getProperty

    public Object getProperty(String name)
    Parameters:
      `name` - The property name
    Returns:
      a configured property.

  - ### setProperty

    public void setProperty(String name, Object value)
    Set a configured property.
    Parameters:
      `name` - The property name
      `value` - The property value

  - ### removeProperty

    public void removeProperty(String name)
    Remove a configured property.
    Parameters:
      `name` - The property name

  - ### listProperties

    public Iterator<String> listProperties()
    List properties.
    Returns:
      the property names iterator

  - ### addInjectionTarget

    public void addInjectionTarget(String injectionTargetName, String jndiName)
    Specified by:
      `addInjectionTarget` in interface `Injectable`

  - ### getInjectionTargets

    public List<InjectionTarget> getInjectionTargets()
    Specified by:
      `getInjectionTargets` in interface `Injectable`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### getNamingResources

    public NamingResources getNamingResources()

  - ### setNamingResources

    public void setNamingResources(NamingResources resources)